%define upstream_name    CGI-Simple
%define upstream_version 1.281

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simple totally OO CGI interface that is CGI.pm compliant
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz
# https://github.com/markstos/CGI--Simple/commit/e811ab874a5e0ac8a99e76b645a0e537d8f714da
Patch0:     perl-CGI-Simple-CVE-2010-4411.patch
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl-IO-stringy
%description
CGI::Simple provides a relatively lightweight drop in replacement for CGI.pm.
It shares an identical OO interface to CGI.pm for parameter parsing, file
upload, cookie handling and header generation. This module is entirely object
oriented, however a complete functional interface is available by using the
CGI::Simple::Standard module.

Essentially everything in CGI.pm that relates to the CGI (not HTML) side of
things is available. There are even a few new methods and additions to old
ones! If you are interested in what has gone on under the hood see the
Compatibility with CGI.pm section at the end.

In practical testing this module loads and runs about twice as fast as CGI.pm
depending on the precise task.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
# (tv) fix build with rpm-4.14:
cat >> MANIFEST <<EOF
elfbins.list
debugsourcefiles.list
debuglinks.list
debugfiles.list
debugsources.list
EOF

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog
* Thu Feb 01 2024 tv <tv> 1.281.0-1.mga10
+ Revision: 2036541
- update to 1.281

* Wed Mar 23 2022 umeabot <umeabot> 1.280.0-2.mga9
+ Revision: 1821004
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 tv <tv> 1.280.0-1.mga9
+ Revision: 1768394
- update to 1.280

* Mon Jan 10 2022 tv <tv> 1.270.0-1.mga9
+ Revision: 1767713
- update to 1.27

* Wed Jan 05 2022 tv <tv> 1.260.0-1.mga9
+ Revision: 1766916
- update to 1.26

* Fri Feb 21 2020 umeabot <umeabot> 1.250.0-2.mga8
+ Revision: 1547838
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1.250.0-1.mga8
+ Revision: 1488477
- update to 1.25
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 10 2019 tv <tv> 1.220.0-1.mga8
+ Revision: 1439251
- update to 1.22

* Sun Oct 07 2018 tv <tv> 1.210.0-1.mga7
+ Revision: 1318371
- update to 1.21

* Sat Oct 06 2018 tv <tv> 1.200.0-1.mga7
+ Revision: 1318141
- update to 1.20

* Thu Oct 04 2018 tv <tv> 1.180.0-1.mga7
+ Revision: 1317294
- update to 1.18

* Wed Oct 03 2018 tv <tv> 1.170.0-1.mga7
+ Revision: 1316076
- update to 1.17

* Thu Sep 20 2018 umeabot <umeabot> 1.160.0-2.mga7
+ Revision: 1281859
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1.160.0-1.mga7
+ Revision: 1246504
- update to 1.16

* Thu Mar 15 2018 tv <tv> 1.150.0-1.mga7
+ Revision: 1209606
- update to 1.15
- fix build with newer rpm
- add a patch for CVE-2010-4411

* Sat Jun 18 2016 pterjan <pterjan> 1.115.0-3.mga6
+ Revision: 1023822
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.115.0-2.mga6
+ Revision: 967051
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.115.0-1.mga6
+ Revision: 847988
- update to 1.115

* Wed Oct 15 2014 umeabot <umeabot> 1.113.0-5.mga5
+ Revision: 740943
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.113.0-4.mga5
+ Revision: 683658
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.113.0-3.mga4
+ Revision: 509501
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.113.0-2.mga3
+ Revision: 363564
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.113.0-1.mga1
+ Revision: 25879
- mageia rebuild
- imported package perl-CGI-Simple

